Package com.io7m.coffeepick.client.vanilla

# Class CoffeePickClients

java.lang.Object
com.io7m.coffeepick.client.vanilla.CoffeePickClients

All Implemented Interfaces:
  `CoffeePickClientProviderType`

    public final class CoffeePickClients
    extends java.lang.Object
    implements CoffeePickClientProviderType

The default client provider implementation.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static CoffeePickClientProviderType` | `create()` | Create a new client provider, picking up dependencies via ServiceLoader.
  `static CoffeePickClientProviderType` | `createWith​(RuntimeRepositoryProviderRegistryType repositories)` | Create a new client provider.
  `CoffeePickClientType` | `newClient​(CoffeePickParsersType parsers, CoffeePickSerializersType serializers, java.nio.file.Path base_directory, java.net.http.HttpClient http)` | Create a new client.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.coffeepick.api.CoffeePickClientProviderType

  `newClient`

- ## Method Details

  - ### create

    public static CoffeePickClientProviderType create()
    Create a new client provider, picking up dependencies via ServiceLoader.
    Returns:
      A new client provider

  - ### createWith

    public static CoffeePickClientProviderType createWith​(RuntimeRepositoryProviderRegistryType repositories)
    Create a new client provider.
    Parameters:
      `repositories` - The repository registry
    Returns:
      A new client provider

  - ### newClient

    public CoffeePickClientType newClient​(CoffeePickParsersType parsers, CoffeePickSerializersType serializers, java.nio.file.Path base_directory, java.net.http.HttpClient http) throws java.io.IOException
    Description copied from interface: `CoffeePickClientProviderType`
    Create a new client. The client will use the given directory for configuration data and inventory.
    Specified by:
      `newClient` in interface `CoffeePickClientProviderType`
    Parameters:
      `parsers` - The parser provider
      `serializers` - The serializer provider
      `base_directory` - The base directory
      `http` - The HTTP client that will be used
    Returns:
      A new client
    Throws:
      `java.io.IOException` - On errors